
                  /* DupRead.c - created on 10 Dec 91 */
                       /* Public Domain stuff :-) */

#include <stdlib.h>
#include <stdio.h>

void main(int argc, char **argv)
{
	struct DupDataBase
	{
		char filename[51];
	   unsigned long CRC;
	} dup;

	FILE *fp, *fopen();
	int count=0;

	printf("\nDupRead - by Luca Spada '92 - %s %s -\n          SkyTick Dupe-DataBase Reader\n\n", __DATE__, __TIME__);

	if (argc<2)
	{
		printf("Usage:\nDupRead <Pathname to dupe file>\n\n");
		exit(0);
	}

	if (!(fp=fopen(argv[1],"r")))
	{
		printf("Unable to open %s\n", argv[1]);
		exit(20);
	}

	for (;;)
	{
		fread((char *)&dup, sizeof(struct DupDataBase),1,fp);

		if (feof(fp))
			break;

		printf("%3d: %-15s - CRC: %x\n", count++, dup.filename, dup.CRC);

	}

	printf("\nTotal files in database : %d\n\n", count);

	fclose(fp);

}


